Your account will not be charged for using this API
By calling this API you will receive the list of job functions with job_function_id supported by Bing Ads Audience Estimation endpoint.
As a response of the API server, you will receive a list of available job functions.
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the parameters passed in the URL of the GET request |
result | array | array of results |
job_function_id | integer | ID of the job function |
job_function_name | string | name of the job function |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request GET "https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/job_functions"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
try {
// using this method you can get a list of job functions
// GET /v3/keywords_data/bing/audience_estimation/job_functions
$result = $client->get('/v3/keywords_data/bing/audience_estimation/job_functions');
print_r($result);
// do something with result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const axios = require('axios');
axios({
method: 'get',
url: 'https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/job_functions',
auth: {
username: 'login',
password: 'password'
},
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'][0]['result'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of job functions
# GET /v3/keywords_data/bing/audience_estimation/job_functions
# the full list of possible parameters is available in documentation
response = client.get("/v3/keywords_data/bing/audience_estimation/job_functions")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task keywords_data_bing_audience_estimation_job_functions()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
// using this method you can get a list of job functions
// GET /v3/keywords_data/bing/audience_estimation/job_functions
// the full list of possible parameters is available in documentation
var response = await httpClient.GetAsync("/v3/keywords_data/bing/audience_estimation/job_functions");
var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20240801",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0648 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "09271638-1535-0603-0000-457ce2c34757",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0001 sec.",
"cost": 0,
"result_count": 26,
"path": [
"v3",
"keywords_data",
"bing",
"audience_estimation",
"job_functions"
],
"data": {
"api": "keywords_data",
"function": "job_functions",
"se": "bing",
"se_type": "audience_estimation"
},
"result": [
{
"job_function_id": 806299177,
"job_function_name": "Education"
},
{
"job_function_id": 806298687,
"job_function_name": "Community and Social Services"
},
{
"job_function_id": 806300647,
"job_function_name": "Program and Project Management"
},
{
"job_function_id": 806298785,
"job_function_name": "Arts and Design"
},
{
"job_function_id": 806299275,
"job_function_name": "Media and Communication"
},
{
"job_function_id": 806299667,
"job_function_name": "Research"
},
{
"job_function_id": 806299765,
"job_function_name": "Support"
},
{
"job_function_id": 806299079,
"job_function_name": "Quality Assurance"
},
{
"job_function_id": 806300451,
"job_function_name": "Legal"
},
{
"job_function_id": 806299569,
"job_function_name": "Engineering"
},
{
"job_function_id": 806299863,
"job_function_name": "Entrepreneurship"
},
{
"job_function_id": 806300843,
"job_function_name": "Product Management"
},
{
"job_function_id": 806299961,
"job_function_name": "Purchasing"
},
{
"job_function_id": 806300745,
"job_function_name": "Operations"
},
{
"job_function_id": 806300255,
"job_function_name": "Real Estate"
},
{
"job_function_id": 806299373,
"job_function_name": "Healthcare Services"
},
{
"job_function_id": 806300059,
"job_function_name": "Military and Protective Services"
},
{
"job_function_id": 806299471,
"job_function_name": "Administrative"
},
{
"job_function_id": 806298981,
"job_function_name": "Human Resources"
},
{
"job_function_id": 806301126,
"job_function_name": "Information Technology"
},
{
"job_function_id": 806300549,
"job_function_name": "Consulting"
},
{
"job_function_id": 806298607,
"job_function_name": "Marketing"
},
{
"job_function_id": 806300353,
"job_function_name": "Sales"
},
{
"job_function_id": 806301028,
"job_function_name": "Business Development"
},
{
"job_function_id": 806298883,
"job_function_name": "Finance"
},
{
"job_function_id": 806300157,
"job_function_name": "Accounting"
}
]
}
]
}